/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/fs/fs.hpp>
#include <ox/std/buffer.hpp>

namespace ox {

/**
 *
 * @param buffStart where the preload buffer will start in ROM
 * @param fs an ox::FileSystem containing the contents to be preloaded
 * @return preload buffer or error
 */
[[maybe_unused]]
ox::Result<ox::Buffer> buildPreloadBuffer(std::size_t buffStart, ox::FileSystem *fs) noexcept;

}